Last Comment Bug 619309 - Clicking on miscellaneous URLbar icons selects the URLbar text
: Clicking on miscellaneous URLbar icons selects the URLbar text
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks: 617333
  Show dependency treegraph
 
Reported: 2010-12-15 04:15 PST by neil@parkwaycc.co.uk
Modified: 2011-01-05 16:37 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Possible patch (1.29 KB, patch)
2010-12-15 04:17 PST, neil@parkwaycc.co.uk
iann_bugzilla: review+
Details | Diff | Splinter Review
Possible patch [Checked in: Comment 4] (2.03 KB, patch)
2010-12-15 04:21 PST, neil@parkwaycc.co.uk
iann_bugzilla: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2010-12-15 04:15:08 PST
Steps to reproduce the problem:
1. Configure preferences for selection of URLbar text
(browser.urlbar.clickSelectsAll set to true)
2. Move focus away from the URL bar
3. Click on any of the miscellaneous URLbar icons:
   Feed icon
   EV icon
   various doorhanger icons

Actual result: URLbar text is selected and focused

Expected result: URLbar text is unaffected

Additional information: The Places Start Button has a partial workaround.
Comment 1 neil@parkwaycc.co.uk 2010-12-15 04:17:52 PST
Created attachment 497760 [details] [diff] [review]
Possible patch

Option 1: Ignore clicks that aren't actually on the URL itself.
Comment 2 neil@parkwaycc.co.uk 2010-12-15 04:21:27 PST
Created attachment 497761 [details] [diff] [review]
Possible patch
[Checked in: Comment 4]

Option 2: Prevent mouse events on miscellaneous icons from propagating.
Comment 3 Ian Neal 2011-01-04 16:09:27 PST
Comment on attachment 497761 [details] [diff] [review]
Possible patch
[Checked in: Comment 4]

r=me I think my preference is for this one but there is not much in that, so whichever you prefer.
Comment 4 neil@parkwaycc.co.uk 2011-01-05 15:27:48 PST
Comment on attachment 497761 [details] [diff] [review]
Possible patch
[Checked in: Comment 4]

Pushed changeset 57e1d4eca307 to comm-central.

Note You need to log in before you can comment on or make changes to this bug.